package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目季度考核对象 smz_project_quarterly_assess
 * 
 * @author ruoyi
 * @date 2023-08-05
 */
public class SmzProjectQuarterlyAssess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private Long projectId;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 季度 */
    @Excel(name = "季度")
    private Long quarterly;

    /** 对应的日1季度1月1，2季度4月1，3季度7月1，4季度10月1 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "对应的日1季度1月1，2季度4月1，3季度7月1，4季度10月1", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 计划目标 */
    @Excel(name = "计划目标")
    private String planTarget;

    /** 目前进展 */
    @Excel(name = "目前进展")
    private String curProgress;

    /** 滞后事项 */
    @Excel(name = "滞后事项")
    private String laggingMatters;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String problem;

    /** 计算完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计算完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDate;

    /** 实际完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishDate;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /**  */
    @Excel(name = "")
    private Long isDel;


    public SurProject getProject() {
        return project;
    }

    public void setProject(SurProject project) {
        this.project = project;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    private Long deptId;

    private SurProject project;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setQuarterly(Long quarterly) 
    {
        this.quarterly = quarterly;
    }

    public Long getQuarterly() 
    {
        return quarterly;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setPlanTarget(String planTarget) 
    {
        this.planTarget = planTarget;
    }

    public String getPlanTarget() 
    {
        return planTarget;
    }
    public void setCurProgress(String curProgress) 
    {
        this.curProgress = curProgress;
    }

    public String getCurProgress() 
    {
        return curProgress;
    }
    public void setLaggingMatters(String laggingMatters) 
    {
        this.laggingMatters = laggingMatters;
    }

    public String getLaggingMatters() 
    {
        return laggingMatters;
    }
    public void setProblem(String problem) 
    {
        this.problem = problem;
    }

    public String getProblem() 
    {
        return problem;
    }
    public void setPlanDate(Date planDate) 
    {
        this.planDate = planDate;
    }

    public Date getPlanDate() 
    {
        return planDate;
    }
    public void setFinishDate(Date finishDate) 
    {
        this.finishDate = finishDate;
    }

    public Date getFinishDate() 
    {
        return finishDate;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("year", getYear())
            .append("quarterly", getQuarterly())
            .append("date", getDate())
            .append("planTarget", getPlanTarget())
            .append("curProgress", getCurProgress())
            .append("laggingMatters", getLaggingMatters())
            .append("problem", getProblem())
            .append("planDate", getPlanDate())
            .append("finishDate", getFinishDate())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
